- include_role:
    name: per_user

# - name: Create directories
#   file:
#     name: "{{ account_homedir.stdout }}/{{ item }}"
#     state: directory
#     mode: 0700
#     owner: "{{ account_name.stdout }}"
#     group: "{{ group_name.stdout }}"
#   loop:
#     - ".config/foo"

# - name: Copy files
#   copy:
#     src: "files/{{ item.src }}"
#     dest: "{{ account_homedir.stdout }}/{{ item.dest }}"
#     mode: 0600
#     owner: "{{ account_name.stdout }}"
#     group: "{{ group_name.stdout }}"
#   loop:
#     - src: foo.conf
#       dest: .config/foo/foo.conf

- name: Configure zshrc additional imports
  copy:
    src: "files/zshrc_{{ item }}"
    dest: "{{ account_homedir.stdout }}/.config/ansible_deploy/zshrc/{{ item }}.zsh"
    mode: 0600
    owner: "{{ account_name.stdout }}"
    group: "{{ group_name.stdout }}"
  loop:
    - terraform

- import_tasks: tasks/peruser_freebsd.yaml
  when: 'os_flavor == "freebsd"'

- import_tasks: tasks/peruser_linux.yaml
  when: 'os_flavor == "linux"'
